import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../../routes/custom_appBar.dart';
import '../../routes/custom_drawer.dart';

class HomePage extends StatelessWidget {
  const HomePage({super.key});

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(builder: (context, sizingInfo) {
      bool isDesktop = sizingInfo.deviceScreenType == DeviceScreenType.desktop;

      return Scaffold(
        appBar: CustomAppBar(isDesktop: isDesktop),
        drawer: isDesktop ? null : CustomDrawer(isDesktop: false),
        body: Row(
          children: [
            if (isDesktop) CustomDrawer(isDesktop: true),
            const Expanded(child: Center(child: Text("Home Page Content"))),
          ],
        ),
      );
    });
  }
}
